Module javafx.web
Package javafx.scene.web

# Class WebEvent<T>

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.web.WebEvent<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public final class WebEvent<T> extends Event
`WebEvent` instances are passed into `EventHandler`s registered with a `WebEngine` by JavaScript running on a Web page. An event holds a single data item of type `T`.

Since:
  JavaFX 2.0
See Also:
  - `WebEngine`
  - `WebEngine.setOnAlert(javafx.event.EventHandler<javafx.scene.web.WebEvent<java.lang.String>>)`
  - `WebEngine.setOnResized(javafx.event.EventHandler<javafx.scene.web.WebEvent<javafx.geometry.Rectangle2D>>)`
  - `WebEngine.setOnStatusChanged(javafx.event.EventHandler<javafx.scene.web.WebEvent<java.lang.String>>)`
  - `WebEngine.setOnVisibilityChanged(javafx.event.EventHandler<javafx.scene.web.WebEvent<java.lang.Boolean>>)`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EventType<WebEvent>`
`ALERT`
This event occurs when a script calls the JavaScript `alert` function.
`static final EventType<WebEvent>`
`ANY`
Common supertype for all Web event types.
`static final EventType<WebEvent>`
`RESIZED`
This event occurs when a script changes location of the JavaScript `window` object.
`static final EventType<WebEvent>`
`STATUS_CHANGED`
This event occurs when a script changes status line text.
`static final EventType<WebEvent>`
`VISIBILITY_CHANGED`
This event occurs when a script changes visibility of the JavaScript `window` object.

### Fields inherited from class javafx.event.Event

`consumed, eventType, NULL_SOURCE_TARGET, target`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WebEvent(Object source, EventType<WebEvent> type, T data)`
Creates a new event object.

## Method Summary

Modifier and Type
Method
Description
`T`
`getData()`
Returns data item carried by this event.
`String`
`toString()`
Returns a string representation of this `WebEvent` object.

### Methods inherited from class javafx.event.Event

`clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ANY

public static final EventType<WebEvent> ANY
Common supertype for all Web event types.

### RESIZED

public static final EventType<WebEvent> RESIZED
This event occurs when a script changes location of the JavaScript `window` object.

### STATUS_CHANGED

public static final EventType<WebEvent> STATUS_CHANGED
This event occurs when a script changes status line text.

### VISIBILITY_CHANGED

public static final EventType<WebEvent> VISIBILITY_CHANGED
This event occurs when a script changes visibility of the JavaScript `window` object.

### ALERT

public static final EventType<WebEvent> ALERT
This event occurs when a script calls the JavaScript `alert` function.

## Constructor Details

### WebEvent

public WebEvent(Object source, EventType<WebEvent> type, T data)
Creates a new event object.

Parameters:
  `source` - the event source
  `type` - the event type
  `data` - the data item

## Method Details

### getData

public T getData()
Returns data item carried by this event.

Returns:
  the data item

### toString

public String toString()
Returns a string representation of this `WebEvent` object.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of this `WebEvent` object.